complexType "CrossRate"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 6 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | currency1?, currency2?, quoteBasis?, rate?, (spotRate?, forwardPoints?)?
</...>

Content Model Elements (6):

  currency1 (defined in QuotedCurrencyPair complexType), currency2 (defined in QuotedCurrencyPair complexType), forwardPoints (defined in CrossRate complexType), | quoteBasis (defined in QuotedCurrencyPair complexType), rate (defined in CrossRate complexType), spotRate (defined in CrossRate complexType)

All Direct / Indirect Based Elements (2):

  crossRate (in exchangeRate defined in FxCoreDetails.model group),
  crossRate (in exchangeRate in underlyer defined in GenericProduct complexType)

Known Usage Locations

- As direct type of elements (2):
  crossRate (in exchangeRate defined in FxCoreDetails.model group),
  crossRate (in exchangeRate in underlyer defined in GenericProduct complexType)

Annotation
A type that is used for including the currency exchange rates used to cross between the traded currencies for non-base currency FX contracts.
Type Definition Detail

Type Derivation Tree QuotedCurrencyPair (extension) CrossRate

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CrossRate"> <xsd:complexContent> <xsd:extension base="QuotedCurrencyPair"> <xsd:sequence> <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"/> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"/> <xsd:element minOccurs="0" name="forwardPoints" type="xsd:decimal"/> </xsd:sequence> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/6)
forwardPoints

  Type: | xsd:decimal, predefined, simple content

  An optional element used for deals consumated in the FX Forwards market. Forward points represent the interest rate differential between the two currencies traded and are quoted as a preminum or a discount. Forward points are added to, or subtracted from, the spot rate to create the rate of the forward trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="forwardPoints" type="xsd:decimal"/>

rate

  Type: | PositiveDecimal, simple content

  The exchange rate used to cross between the traded currencies.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"/>

spotRate

  Type: | PositiveDecimal, simple content

  An optional element used for FX forwards and certain types of FX OTC options. For deals consumated in the FX Forwards Market, this represents the current market rate for a particular currency pair.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.